/*								    *\
 fun_invstrspn.h	versin 1.0	2 de noviembre de 2005

 Este fichero define macros para declarar y definir las funciones
 invstrspn() , iwcsspn() , invstrcspn() , iwcscspn() , invstrpbrk() ,
 iwcspbrk() , invstrcpbrk() e iwcscpbrk() que se definen en
 invstrspn.c . Vea ese fichero para ver qu otros ficheros se
 acompaan.

 -----
 (c) Noel Torres, 2005
 * Para ver los trminos de la Licencia, vea el fichero invstrspn.c
 que acompaa.
 * Si se distribuyere este fichero sin el fichero invstrspn.c se
 deber adjuntar la Licencia all expresada.
 -----

\*								    */

#if INVSTRSPN_CSPN == 1 /* Conjunto de funciones que trabajan con el
						  conjunto skipset. */
/* Se trata de redefiniciones: tratamos como macros los nombres que
aparecern debajo. En este caso las redefinimos sobre s mismas. */
# define invstrspn invstrspn /* Nombre de la funcin de nmero de
							 caracteres */
# define invstrpbrk invstrcpbrk /* Nombre de la funcin de puntero */
# define iwcsspn iwcsspn /* Nombre de la funcin de nmero de
						  caracteres anchos */
# define iwcspbrk iwcscpbrk /* Nombre de la funcin de puntero a
						  caracteres anchos */
# define strspn strspn /* Funcin de nmero de caracteres */
# define wcsspn wcsspn /* Funcin de nmero de caracteres anchos */
#endif /* INVSTRSPN_CSPN == 1 */

#if INVSTRSPN_CSPN == 2 /* Conjunto de funciones que trabajan con el
				  complemento del conjunto skipset. */
/* Se trata de redefiniciones: tratamos como macros los nombres que
aparecern debajo. En este caso las redefinimos con otros nombres. */
# define invstrspn invstrcspn /* Nombre de la funcin de nmero de
                                                         caracteres */
# define invstrpbrk invstrpbrk /* Nombre de la funcin de puntero */
# define iwcsspn iwcscspn /* Nombre de la funcin de nmero de
						  caracteres anchos */
# define iwcspbrk iwcspbrk /* Nombre de la funcin de puntero a
						  caracteres anchos */
# define strspn strcspn /* Funcin de nmero de caracteres */
# define wcsspn wcscspn /* Funcin de nmero de caracteres anchos */
#endif /* INVSTRSPN_CSPN == 2 */

#if INVSTRINV_CHAR == 1 /* Conjunto de funciones de caracteres
							  normales. */
# define fun_char char /* Tipo de datos */
# define fun_invstrspn invstrspn /* Nombre de la funcin de nmero de
							 caracteres */
# define fun_invstrpbrk invstrpbrk /* Nombre de la funcin de
							    puntero */
# define fun_invstrinv invstrinv /* Funcin de inversin de cadenas */
# define fun_strlen strlen /* Funcin de longitud de cadena */
# define fun_strspn strspn /* Funcin de nmero de caracteres */
# include <string.h> /* Cabecera donde se definen las funciones de
			  longitud de cadena y nmero de caracteres */
#endif /* INVSTRINV_CHAR == 1 */

#if INVSTRINV_CHAR == 4 /* Conjunto de funciones de caracteres
							    anchos. */
# define fun_char wchar_t /* Tipo de datos */
# define fun_invstrspn iwcsspn /* Nombre de la funcin de nmero de
							 caracteres */
# define fun_invstrpbrk iwcspbrk /* Nombre de la funcin de puntero */
# define fun_invstrinv iwcsinv /* Funcin de inversin de cadenas */
# define fun_strlen wcslen /* Funcin de longitud de cadena */
# define fun_strspn wcsspn /* Funcin de nmero de caracteres */
# include <wchar.h> /* Cabecera donde se definen las funciones de
			  longitud de cadena y nmero de caracteres */
#endif /* INVSTRINV_CHAR == 4 */
